# Spec ExactFragment
A type for ungapped, pairwise segment matches.

Extends | Fragment
All Extended | Fragment
Defined in | <seqan/align.h>
Signature | `template <[typename TSize[, typename TSpec]]> class Fragment<TSize, ExactFragment<TSpec> >;`

## Template Parameters

`TSize` | The size type of the underlying sequence. Default: `Size<CharString>Type`.
`TSpec` | Specializing type. Default: `ExactFragment<>`.

## Member Function Overview

- `Fragment::Fragment();, Fragment::Fragment(seqID1, beg1, seqID2, beg2, l);`
  Constructor.

## Interface Function Overview

### Interface Functions Inherited From Fragment

- `fragmentBegin`
- `fragmentLength`
- `label`
- `sequenceId`

## Member Functions Detail

### `Fragment::Fragment(); Fragment::Fragment(seqID1, beg1, seqID2, beg2, l);`

Constructor.

#### Parameters

`seqID1` | ID of the first sequence. Type: `TId`.
`beg1` | Begin position of segment match in first sequence. Type: `TSize`.
`seqID2` | ID of the second sequence. Type: `TId`.
`beg2` | Begin position of segment match in second sequence. Type: `TSize`.
`l` | The length of the segment match. Type: `TSize`.

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @class ExactFragment
     *
     * @extends Fragment
     *
     * @headerfile <seqan/align.h>
     *
     * @brief A type for ungapped, pairwise segment matches.
     *
     * @signature template <[typename TSize[, typename TSpec]]> class
     *            Fragment<TSize, ExactFragment<TSpec> >;
     *
     * @tparam TSize The size type of the underlying sequence. Default:
     *               <tt>Size&lt;CharString&gt;Type</tt>.
     * @tparam TSpec Specializing type. Default: <tt>ExactFragment&lt;&gt;</tt>.
     *
     * @fn ExactFragment::Fragment
     *
     * @brief Constructor.
     *
     * @signature Fragment::Fragment();
     * @signature Fragment::Fragment(seqID1, beg1, seqID2, beg2, l);
     *
     * @param[in] seqID1 ID of the first sequence. Type: <tt>TId</tt>.
     * @param[in] beg1 Begin position of segment match in first sequence. Type:
     *                 <tt>TSize</tt>.
     * @param[in] seqID2 ID of the second sequence. Type: <tt>TId</tt>.
     * @param[in] beg2 Begin position of segment match in second sequence. Type:
     *                 <tt>TSize</tt>.
     * @param[in] l The length of the segment match. Type: <tt>TSize</tt>.
     */